Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/MultiPSOTopologyUpdater.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/MultiPSOTopologyUpdater.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/MultiPSOTopologyUpdater.cs	(revision 14711)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Algorithms.ParticleSwarmOptimization {
   [Item("Multi PSO Topology Updater", "Splits swarm into NrOfSwarms non-overlapping sub-swarms. Swarms are re-grouped every regroupingPeriod iteration. The operator is implemented as described in Liang, J.J. and Suganthan, P.N 2005. Dynamic multi-swarm particle swarm optimizer. IEEE Swarm Intelligence Symposium, pp. 124-129.")]
-  [StorableClass("1B8BA2EF-29A6-4CA3-A82E-B64442FF5E67")]
+  [StorableType("1B8BA2EF-29A6-4CA3-A82E-B64442FF5E67")]
   public sealed class MultiPSOTopologyUpdater : SingleSuccessorOperator, ITopologyUpdater {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/ParticleSwarmOptimization.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/ParticleSwarmOptimization.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/ParticleSwarmOptimization.cs	(revision 14711)
@@ -37,5 +37,5 @@
   [Item("Particle Swarm Optimization (PSO)", "A particle swarm optimization algorithm based on the description in Pedersen, M.E.H. (2010). PhD thesis. University of Southampton.")]
   [Creatable(CreatableAttribute.Categories.PopulationBasedAlgorithms, Priority = 300)]
-  [StorableClass("873279B8-58E4-456F-B840-75EC7C391291")]
+  [StorableType("873279B8-58E4-456F-B840-75EC7C391291")]
   public sealed class ParticleSwarmOptimization : HeuristicOptimizationEngineAlgorithm, IStorableContent {
     #region Parameter Properties
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/ParticleSwarmOptimizationMainLoop.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/ParticleSwarmOptimizationMainLoop.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/ParticleSwarmOptimizationMainLoop.cs	(revision 14711)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Algorithms.ParticleSwarmOptimization {
   [Item("ParticleSwarmOptimizationMainLoop", "An operator which represents the main loop of a particle swarm optimization algorithm.")]
-  [StorableClass("8451459D-2C4D-4B1D-AE82-9AC2A5B43CDB")]
+  [StorableType("8451459D-2C4D-4B1D-AE82-9AC2A5B43CDB")]
   public class ParticleSwarmOptimizationMainLoop : AlgorithmOperator {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/RandomTopologyInitializer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/RandomTopologyInitializer.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/RandomTopologyInitializer.cs	(revision 14711)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Algorithms.ParticleSwarmOptimization {
   [Item("Random Topology Initializer", "Randomly connectes every particle with k other particles.")]
-  [StorableClass("51896760-09D3-404D-8ADD-F1A38E21C95A")]
+  [StorableType("51896760-09D3-404D-8ADD-F1A38E21C95A")]
   public sealed class RandomTopologyInitializer : TopologyInitializer {
     #region Parameters
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/RingTopologyInitializer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/RingTopologyInitializer.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/RingTopologyInitializer.cs	(revision 14711)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Algorithms.ParticleSwarmOptimization {
   [Item("Ring Topology Initializer", "Connected every particle with its preceeding and its following particle.")]
-  [StorableClass("1A5B1CD5-ACE0-49F7-89D7-EB567677BD09")]
+  [StorableType("1A5B1CD5-ACE0-49F7-89D7-EB567677BD09")]
   public sealed class RingTopologyInitializer : TopologyInitializer {
     #region Construction & Cloning
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/TopologyInitializer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/TopologyInitializer.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/TopologyInitializer.cs	(revision 14711)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Algorithms.ParticleSwarmOptimization {
   [Item("TopologyInitializer", "Groups the particles into neighborhoods according to a certain strategy.")]
-  [StorableClass("DB19490D-46AA-4EEB-82B2-CB7478AEF6C9")]
+  [StorableType("DB19490D-46AA-4EEB-82B2-CB7478AEF6C9")]
   public abstract class TopologyInitializer : SingleSuccessorOperator, ITopologyInitializer {
     public override bool CanChangeName {
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/VonNeumannTopologyInitializer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/VonNeumannTopologyInitializer.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/VonNeumannTopologyInitializer.cs	(revision 14711)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Algorithms.ParticleSwarmOptimization {
   [Item("Von Neumann Topology Initializer", "Every particle is connected with the two following and the two previous particles wrapping around at the beginning and the end of the population.")]
-  [StorableClass("390FC424-5536-42EF-ADFF-E96822D9D9AF")]
+  [StorableType("390FC424-5536-42EF-ADFF-E96822D9D9AF")]
   public sealed class VonNeumannTopologyInitializer : TopologyInitializer {
 
